- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDTargetedEntity Class Reference

A targeted entity. More...

`#include <FCDTargetedEntity.h>`

Inheritance diagram for FCDTargetedEntity:

List of all members.

## Public Member Functions
| FCDTargetedEntity (FCDocument *document, const char *baseId)
| Constructor: do not use directly.
virtual | ~FCDTargetedEntity ()
| Destructor.
bool | HasTarget () const
| Retrieves whether a target is defined for this entity.
FCDSceneNode * | GetTargetNode ()
| Retrieves the target visual scene node for this entity.
const FCDSceneNode * | GetTargetNode () const
| See above.
void | SetTargetNode (FCDSceneNode *target)
| Sets the target visual scene node for this entity.
virtual FCDEntity * | Clone (FCDEntity *clone=NULL, bool cloneChildren=false) const
| Copies the entity target information into a entity clone.

## Detailed Description

A targeted entity.

COLLADA doesn't have targeted entity. Therefore: the behavior of a targeted entity is application-defined.

This class is used to support 3dsMax's targeted cameras and lights and we also plan to support Maya's targeted cameras and lights.

See also:
  FCDCamera FCDLight

## Constructor & Destructor Documentation

FCDTargetedEntity::FCDTargetedEntity | ( | FCDocument * | document,
|  | const char * | baseId
| ) |

  | Constructor: do not use directly. Instead, create objects of the up-classes. Parameters:
  | document | The COLLADA document that owns the targeted entity.
  | baseId | The prefix COLLADA id to be used if no COLLADA id is provided.

## Member Function Documentation

virtual FCDEntity* FCDTargetedEntity::Clone | ( | FCDEntity * | clone = `NULL`,
|  | bool | cloneChildren = `false`
| ) | const`[virtual]`

  | Copies the entity target information into a entity clone. All the overwriting functions of this function should call this function to copy the target information. The cloned entity may reside in another document. Parameters:
  | clone | The empty clone. If this pointer is NULL, a new entity will be created and you will need to release the returned pointer manually.
  | cloneChildren | Whether to recursively clone this entity's children.
Returns: The clone. Reimplemented from FCDEntity.

FCDSceneNode* FCDTargetedEntity::GetTargetNode | ( |  | ) | `[inline]`

| Retrieves the target visual scene node for this entity. Returns: The target visual scene node.

bool FCDTargetedEntity::HasTarget | ( |  | ) | const`[inline]`

| Retrieves whether a target is defined for this entity. Returns: Whether a target is defined for this entity.

void FCDTargetedEntity::SetTargetNode | ( | FCDSceneNode * | target | ) |

  | Sets the target visual scene node for this entity. Parameters:
  | target | The new target node.

The documentation for this class was generated from the following file:

- FCDocument/FCDTargetedEntity.h